org.fourthline.cling.transport.impl

## Class AsyncServletStreamServerConfigurationImpl

- java.lang.Object
- - org.fourthline.cling.transport.impl.AsyncServletStreamServerConfigurationImpl

- All Implemented Interfaces:
    StreamServerConfiguration

      public class AsyncServletStreamServerConfigurationImpl
      extends Object
      implements StreamServerConfiguration

  Settings for the async Servlet 3.0 implementation.

  If you are trying to integrate Cling with an existing/running servlet container, implement `ServletContainerAdapter`.

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `asyncTimeoutSeconds`
    `protected int` | `listenPort`
    `protected ServletContainerAdapter` | `servletContainerAdapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncServletStreamServerConfigurationImpl(ServletContainerAdapter servletContainerAdapter)` Defaults to port '0', ephemeral.
    `AsyncServletStreamServerConfigurationImpl(ServletContainerAdapter servletContainerAdapter, int listenPort)`
    `AsyncServletStreamServerConfigurationImpl(ServletContainerAdapter servletContainerAdapter, int listenPort, int asyncTimeoutSeconds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAsyncTimeoutSeconds()` The time in seconds this server wait for the `Router` to execute a `UpnpStream`.
    `int` | `getListenPort()`
    `ServletContainerAdapter` | `getServletContainerAdapter()`
    `void` | `setAsyncTimeoutSeconds(int asyncTimeoutSeconds)`
    `void` | `setListenPort(int listenPort)`
    `void` | `setServletContainerAdapter(ServletContainerAdapter servletContainerAdapter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servletContainerAdapter

          protected ServletContainerAdapter servletContainerAdapter

    - #### listenPort

          protected int listenPort

    - #### asyncTimeoutSeconds

          protected int asyncTimeoutSeconds

  - ### Constructor Detail

    - #### AsyncServletStreamServerConfigurationImpl

          public AsyncServletStreamServerConfigurationImpl(ServletContainerAdapter servletContainerAdapter)

      Defaults to port '0', ephemeral.

    - #### AsyncServletStreamServerConfigurationImpl

          public AsyncServletStreamServerConfigurationImpl(ServletContainerAdapter servletContainerAdapter,
                                                           int listenPort)

    - #### AsyncServletStreamServerConfigurationImpl

          public AsyncServletStreamServerConfigurationImpl(ServletContainerAdapter servletContainerAdapter,
                                                           int listenPort,
                                                           int asyncTimeoutSeconds)

  - ### Method Detail

    - #### getListenPort

          public int getListenPort()

      Specified by:
        `getListenPort` in interface `StreamServerConfiguration`
      Returns:
        Defaults to `0`.

    - #### setListenPort

          public void setListenPort(int listenPort)

    - #### getAsyncTimeoutSeconds

          public int getAsyncTimeoutSeconds()

      The time in seconds this server wait for the `Router` to execute a `UpnpStream`.
      Returns:
        The default of 60 seconds.

    - #### setAsyncTimeoutSeconds

          public void setAsyncTimeoutSeconds(int asyncTimeoutSeconds)

    - #### getServletContainerAdapter

          public ServletContainerAdapter getServletContainerAdapter()

    - #### setServletContainerAdapter

          public void setServletContainerAdapter(ServletContainerAdapter servletContainerAdapter)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.